Package org.opentcs.customizations.plantoverview

# Class PlantOverviewInjectionModule

java.lang.Object
com.google.inject.AbstractModule
org.opentcs.customizations.ConfigurableInjectionModule
org.opentcs.customizations.plantoverview.PlantOverviewInjectionModule

All Implemented Interfaces:
  `com.google.inject.Module`

    public abstract class PlantOverviewInjectionModule
    extends ConfigurableInjectionModule

A base class for Guice modules adding or customizing bindings for the plant overview application.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `PlantOverviewInjectionModule()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected com.google.inject.multibindings.Multibinder<org.opentcs.components.plantoverview.ObjectHistoryEntryFormatter>` | `objectHistoryEntryFormatterBinder()` | Returns a multibinder that can be used to register `ObjectHistoryEntryFormatter`s.
  `protected com.google.inject.multibindings.Multibinder<org.opentcs.components.plantoverview.OrderTypeSuggestions>` | `orderTypeSuggestionsBinder()` | Returns a multibinder that can be used to register classes that provide suggested order types.
  `protected com.google.inject.multibindings.Multibinder<org.opentcs.components.plantoverview.PlantModelExporter>` | `plantModelExporterBinder()` | Returns a multibinder that can be used to register plant model exporters.
  `protected com.google.inject.multibindings.Multibinder<org.opentcs.components.plantoverview.PlantModelImporter>` | `plantModelImporterBinder()` | Returns a multibinder that can be used to register plant model importers.
  `protected com.google.inject.multibindings.Multibinder<org.opentcs.components.plantoverview.PluggablePanelFactory>` | `pluggablePanelFactoryBinder()` | Returns a multibinder that can be used to register factories for pluggable panels.
  `protected com.google.inject.multibindings.Multibinder<org.opentcs.components.plantoverview.PropertySuggestions>` | `propertySuggestionsBinder()` | Returns a multibinder that can be used to register classes that provide suggested properties.

  ### Methods inherited from class org.opentcs.customizations.ConfigurableInjectionModule

  `getConfigBindingProvider, setConfigBindingProvider`

  ### Methods inherited from class com.google.inject.AbstractModule

  `addError, addError, addError, bind, bind, bind, bindConstant, binder, bindInterceptor, bindListener, bindListener, bindScope, configure, configure, convertToTypes, currentStage, getMembersInjector, getMembersInjector, getProvider, getProvider, install, requestInjection, requestStaticInjection, requireBinding, requireBinding`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PlantOverviewInjectionModule

    public PlantOverviewInjectionModule()

- ## Method Details

  - ### plantModelImporterBinder

    protected com.google.inject.multibindings.Multibinder<org.opentcs.components.plantoverview.PlantModelImporter> plantModelImporterBinder()
    Returns a multibinder that can be used to register plant model importers.
    Returns:
      The multibinder.

  - ### plantModelExporterBinder

    protected com.google.inject.multibindings.Multibinder<org.opentcs.components.plantoverview.PlantModelExporter> plantModelExporterBinder()
    Returns a multibinder that can be used to register plant model exporters.
    Returns:
      The multibinder.

  - ### pluggablePanelFactoryBinder

    protected com.google.inject.multibindings.Multibinder<org.opentcs.components.plantoverview.PluggablePanelFactory> pluggablePanelFactoryBinder()
    Returns a multibinder that can be used to register factories for pluggable panels.
    Returns:
      The multibinder.

  - ### propertySuggestionsBinder

    protected com.google.inject.multibindings.Multibinder<org.opentcs.components.plantoverview.PropertySuggestions> propertySuggestionsBinder()
    Returns a multibinder that can be used to register classes that provide suggested properties.
    Returns:
      The multibinder.

  - ### orderTypeSuggestionsBinder

    protected com.google.inject.multibindings.Multibinder<org.opentcs.components.plantoverview.OrderTypeSuggestions> orderTypeSuggestionsBinder()
    Returns a multibinder that can be used to register classes that provide suggested order types.
    Returns:
      The multibinder.

  - ### objectHistoryEntryFormatterBinder

    protected com.google.inject.multibindings.Multibinder<org.opentcs.components.plantoverview.ObjectHistoryEntryFormatter> objectHistoryEntryFormatterBinder()
    Returns a multibinder that can be used to register `ObjectHistoryEntryFormatter`s.
    Returns:
      The multibinder.